Index: src/UIElements/TextUI/TextDialog.cpp
===================================================================
--- src/UIElements/TextUI/TextDialog.cpp	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ src/UIElements/TextUI/TextDialog.cpp	(revision 9d33ba90b201569cf2a4636a4a601a51ac2d6c93)
@@ -44,42 +44,42 @@
 }
 
-void TextDialog::queryBoolean(const char* title, bool* target, string description){
-  registerQuery(new BooleanTextQuery(title,target,description));
-}
-
-void TextDialog::queryInt(const char* title, int* target, string description){
-  registerQuery(new IntTextQuery(title,target,description));
-}
-
-void TextDialog::queryDouble(const char* title, double* target, string description){
-  registerQuery(new DoubleTextQuery(title,target,description));
-}
-
-void TextDialog::queryString(const char* title, string* target, string description){
-  registerQuery(new StringTextQuery(title,target,description));
-}
-
-void TextDialog::queryStrings(const char* title, vector<string>* target, string description){
-  registerQuery(new StringsTextQuery(title,target,description));
-}
-
-void TextDialog::queryAtom(const char* title, atom **target, string description) {
-  registerQuery(new AtomTextQuery(title,target,description));
-}
-
-void TextDialog::queryMolecule(const char* title, molecule **target, string description) {
-  registerQuery(new MoleculeTextQuery(title,target,description));
-}
-
-void TextDialog::queryVector(const char* title, Vector *target, bool check, string description) {
-  registerQuery(new VectorTextQuery(title,target,check,description));
-}
-
-void TextDialog::queryBox(const char* title,Box* cellSize, string description) {
-  registerQuery(new BoxTextQuery(title,cellSize,description));
-}
-
-void TextDialog::queryElement(const char* title, std::vector<element *> *target, string description){
-  registerQuery(new ElementTextQuery(title,target,description));
+void TextDialog::queryBoolean(const char* title, string description){
+  registerQuery(new BooleanTextQuery(title,description));
+}
+
+void TextDialog::queryInt(const char* title, string description){
+  registerQuery(new IntTextQuery(title,description));
+}
+
+void TextDialog::queryDouble(const char* title, string description){
+  registerQuery(new DoubleTextQuery(title,description));
+}
+
+void TextDialog::queryString(const char* title, string description){
+  registerQuery(new StringTextQuery(title,description));
+}
+
+void TextDialog::queryStrings(const char* title, string description){
+  registerQuery(new StringsTextQuery(title,description));
+}
+
+void TextDialog::queryAtom(const char* title, string description) {
+  registerQuery(new AtomTextQuery(title,description));
+}
+
+void TextDialog::queryMolecule(const char* title, string description) {
+  registerQuery(new MoleculeTextQuery(title,description));
+}
+
+void TextDialog::queryVector(const char* title, bool check, string description) {
+  registerQuery(new VectorTextQuery(title,check,description));
+}
+
+void TextDialog::queryBox(const char* title, string description) {
+  registerQuery(new BoxTextQuery(title,description));
+}
+
+void TextDialog::queryElement(const char* title, string description){
+  registerQuery(new ElementTextQuery(title,description));
 }
 
@@ -97,6 +97,6 @@
 }
 
-TextDialog::IntTextQuery::IntTextQuery(string title, int * _target, std::string _description) :
-    Dialog::IntQuery(title,_target,_description)
+TextDialog::IntTextQuery::IntTextQuery(string title, std::string _description) :
+    Dialog::IntQuery(title,_description)
 {}
 
@@ -121,6 +121,6 @@
 }
 
-TextDialog::BooleanTextQuery::BooleanTextQuery(string title, bool * _target, std::string _description) :
-    Dialog::BooleanQuery(title,_target,_description)
+TextDialog::BooleanTextQuery::BooleanTextQuery(string title, std::string _description) :
+    Dialog::BooleanQuery(title,_description)
 {}
 
@@ -150,6 +150,6 @@
 }
 
-TextDialog::StringTextQuery::StringTextQuery(string title,string *_target, std::string _description) :
-    Dialog::StringQuery(title,_target,_description)
+TextDialog::StringTextQuery::StringTextQuery(string title, std::string _description) :
+    Dialog::StringQuery(title,_description)
 {}
 
@@ -162,6 +162,6 @@
 }
 
-TextDialog::StringsTextQuery::StringsTextQuery(string title,vector<string> *_target, std::string _description) :
-    Dialog::StringsQuery(title,_target,_description)
+TextDialog::StringsTextQuery::StringsTextQuery(string title, std::string _description) :
+    Dialog::StringsQuery(title,_description)
 {}
 
@@ -185,6 +185,6 @@
 }
 
-TextDialog::DoubleTextQuery::DoubleTextQuery(string title,double *_target, std::string _description) :
-    Dialog::DoubleQuery(title,_target,_description)
+TextDialog::DoubleTextQuery::DoubleTextQuery(string title, std::string _description) :
+    Dialog::DoubleQuery(title,_description)
 {}
 
@@ -208,6 +208,6 @@
 }
 
-TextDialog::AtomTextQuery::AtomTextQuery(string title, atom **_target, std::string _description) :
-    Dialog::AtomQuery(title,_target,_description)
+TextDialog::AtomTextQuery::AtomTextQuery(string title, std::string _description) :
+    Dialog::AtomQuery(title,_description)
 {}
 
@@ -240,6 +240,6 @@
 }
 
-TextDialog::MoleculeTextQuery::MoleculeTextQuery(string title, molecule **_target, std::string _description) :
-    Dialog::MoleculeQuery(title,_target,_description)
+TextDialog::MoleculeTextQuery::MoleculeTextQuery(string title, std::string _description) :
+    Dialog::MoleculeQuery(title,_description)
 {}
 
@@ -272,6 +272,6 @@
 }
 
-TextDialog::VectorTextQuery::VectorTextQuery(std::string title, Vector *_target, bool _check, std::string _description) :
-    Dialog::VectorQuery(title,_target,_check,_description)
+TextDialog::VectorTextQuery::VectorTextQuery(std::string title, bool _check, std::string _description) :
+    Dialog::VectorQuery(title,_check,_description)
 {}
 
@@ -293,6 +293,6 @@
 }
 
-TextDialog::BoxTextQuery::BoxTextQuery(std::string title, Box* _cellSize, std::string _description) :
-    Dialog::BoxQuery(title,_cellSize,_description)
+TextDialog::BoxTextQuery::BoxTextQuery(std::string title, std::string _description) :
+    Dialog::BoxQuery(title,_description)
 {}
 
@@ -311,6 +311,6 @@
 }
 
-TextDialog::ElementTextQuery::ElementTextQuery(std::string title, std::vector<element *> *_target, std::string _description) :
-    Dialog::ElementQuery(title,_target,_description)
+TextDialog::ElementTextQuery::ElementTextQuery(std::string title, std::string _description) :
+    Dialog::ElementQuery(title,_description)
 {}
 
Index: src/UIElements/TextUI/TextDialog.hpp
===================================================================
--- src/UIElements/TextUI/TextDialog.hpp	(revision 4e10f5d3fadc22df7922e32755bde52849c4ba53)
+++ src/UIElements/TextUI/TextDialog.hpp	(revision 9d33ba90b201569cf2a4636a4a601a51ac2d6c93)
@@ -25,14 +25,14 @@
 
   virtual void queryEmpty(const char *, std::string = "");
-  virtual void queryBoolean(const char *, bool *, std::string = "");
-  virtual void queryInt(const char *, int *, std::string = "");
-  virtual void queryString(const char*, std::string *, std::string = "");
-  virtual void queryStrings(const char*, std::vector<std::string> *, std::string = "");
-  virtual void queryDouble(const char*, double*, std::string = "");
-  virtual void queryAtom(const char*,atom**,std::string = "");
-  virtual void queryMolecule(const char*,molecule**,std::string = "");
-  virtual void queryVector(const char*,Vector *,bool, std::string = "");
-  virtual void queryBox(const char*,Box*, std::string = "");
-  virtual void queryElement(const char*, std::vector<element *> *, std::string = "");
+  virtual void queryBoolean(const char *, std::string = "");
+  virtual void queryInt(const char *, std::string = "");
+  virtual void queryString(const char*, std::string = "");
+  virtual void queryStrings(const char*, std::string = "");
+  virtual void queryDouble(const char*, std::string = "");
+  virtual void queryAtom(const char*,std::string = "");
+  virtual void queryMolecule(const char*,std::string = "");
+  virtual void queryVector(const char*,bool, std::string = "");
+  virtual void queryBox(const char*, std::string = "");
+  virtual void queryElement(const char*, std::string = "");
 
 protected:
@@ -47,5 +47,5 @@
   class BooleanTextQuery : public Dialog::BooleanQuery {
   public:
-    BooleanTextQuery(std::string title, bool *_target, std::string _description = NULL);
+    BooleanTextQuery(std::string title, std::string _description = NULL);
     virtual ~BooleanTextQuery();
     virtual bool handle();
@@ -54,5 +54,5 @@
   class IntTextQuery : public Dialog::IntQuery {
   public:
-    IntTextQuery(std::string title, int *_target, std::string _description = NULL);
+    IntTextQuery(std::string title, std::string _description = NULL);
     virtual ~IntTextQuery();
     virtual bool handle();
@@ -61,5 +61,5 @@
   class DoubleTextQuery : public Dialog::DoubleQuery {
   public:
-    DoubleTextQuery(std::string title, double *_target, std::string _description = NULL);
+    DoubleTextQuery(std::string title, std::string _description = NULL);
     virtual ~DoubleTextQuery();
     virtual bool handle();
@@ -68,5 +68,5 @@
   class StringTextQuery : public Dialog::StringQuery {
   public:
-    StringTextQuery(std::string title, std::string *_target, std::string _description = NULL);
+    StringTextQuery(std::string title, std::string _description = NULL);
     virtual ~StringTextQuery();
     virtual bool handle();
@@ -75,5 +75,5 @@
   class StringsTextQuery : public Dialog::StringsQuery {
   public:
-    StringsTextQuery(std::string title, std::vector<std::string> *_target, std::string _description = NULL);
+    StringsTextQuery(std::string title, std::string _description = NULL);
     virtual ~StringsTextQuery();
     virtual bool handle();
@@ -82,5 +82,5 @@
   class AtomTextQuery : public Dialog::AtomQuery {
   public:
-    AtomTextQuery(std::string title, atom **_target, std::string _description = NULL);
+    AtomTextQuery(std::string title, std::string _description = NULL);
     virtual ~AtomTextQuery();
     virtual bool handle();
@@ -89,5 +89,5 @@
   class MoleculeTextQuery : public Dialog::MoleculeQuery {
   public:
-    MoleculeTextQuery(std::string title, molecule **_target, std::string _description = NULL);
+    MoleculeTextQuery(std::string title, std::string _description = NULL);
     virtual ~MoleculeTextQuery();
     virtual bool handle();
@@ -96,5 +96,5 @@
   class VectorTextQuery : public Dialog::VectorQuery {
   public:
-    VectorTextQuery(std::string title,Vector *_target,bool _check, std::string _description = NULL);
+    VectorTextQuery(std::string title,bool _check, std::string _description = NULL);
     virtual ~VectorTextQuery();
     virtual bool handle();
@@ -103,5 +103,5 @@
   class BoxTextQuery : public Dialog::BoxQuery {
   public:
-    BoxTextQuery(std::string title,Box* _cellSize, std::string _description = NULL);
+    BoxTextQuery(std::string title, std::string _description = NULL);
     virtual ~BoxTextQuery();
     virtual bool handle();
@@ -110,5 +110,5 @@
   class ElementTextQuery : public Dialog::ElementQuery {
   public:
-    ElementTextQuery(std::string title, std::vector<element *> *_target, std::string _description = NULL);
+    ElementTextQuery(std::string title, std::string _description = NULL);
     virtual ~ElementTextQuery();
     virtual bool handle();
